Download it now!
Bug 122393 - With multi line/row tabs, not all tabs can be activated with arrow or Ctrl+PgUp/Dwn
Summary: With multi line/row tabs, not all tabs can be activated with arrow or Ctrl+Pg...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: accessibility
Depends on:
Blocks: Shortcuts-Accelerators a11y GTK3
  Show dependency treegraph
 
Reported: 2018-12-31 13:41 UTC by Cor Nouws
Modified: 2019-03-05 10:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2018-12-31 13:41:53 UTC
open - for example - dialog Paragraph Style in Writer
Tab until tab of active page has focus
Use arrow or Ctrl+PgUp/Down to travel to other tab
   >>  notice that only tabs of the current line are reached.
Comment 1 Cor Nouws 2018-12-31 13:42:02 UTC
seen in Version: 6.3.0.0.alpha0+
Build ID: 082144fa0fb2021cfb41494bb6eb5bf417e58ab1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-31_03:11:43
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Durgapriyanka 2019-01-03 22:06:01 UTC
Thank you for reporting the bug. I can reproduce the bug in 

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 Cor Nouws 2019-01-04 09:11:09 UTC
thanks for confirming. Seeing the same in Versie: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU-threads: 4; Besturingssysteem: Linux 4.15; UI-render: standaard; VCL: gtk3; 
Locale: nl-NL (nl_NL.UTF-8); UI-taal: nl-NL
Calc: threaded
Comment 4 Roman Kuznetsov 2019-01-04 19:03:06 UTC
(In reply to Cor Nouws from comment #0)
> open - for example - dialog Paragraph Style in Writer
> Tab until tab of active page has focus
> Use arrow or Ctrl+PgUp/Down to travel to other tab
>    >>  notice that only tabs of the current line are reached.

don't repro in

Version: 6.3.0.0.alpha0+
Build ID: 9c9558bf9151bff50735b1ca61d2d3de881b24ce
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL

I can travel to any tab in both rows of tabs
Comment 5 Caolán McNamara 2019-01-11 13:35:29 UTC
perhaps making the two rows "stable", adding an up indicator to match the down indicator and then have them warp to the other row on traversal would function appripiately
Comment 6 Commit Notification 2019-01-17 14:44:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/be050c18eada0f6b483cbfccc0df91ff3837f773%5E%21

tdf#122393 move to overflow row on using left/right at end of other row

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2019-01-17 14:46:16 UTC
backport to 6-2 in gerrit
Comment 8 Cor Nouws 2019-01-18 17:28:36 UTC
works nicely in Version: 6.3.0.0.alpha0+
Build ID: b8e450a54936560cdac00ab4c70ef80c20cfaf99
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-18_06:04:42
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded

thanks!
Comment 9 Commit Notification 2019-01-25 08:23:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f929a7e9e854ede215a72d3d84ca74cae156e1aa%5E%21

tdf#122393 move to overflow row on using left/right at end of other row

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.